Bug 490663 - [Test Day] Two instances of gnome-disk-utility-format might both try to work with the same device
[Test Day] Two instances of gnome-disk-utility-format might both try to work ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-gdu (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 11:04 EDT by Michal Nowak
Modified: 2015-03-03 17:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-17 11:04:32 EDT
Description of problem:

Have two instances of ``gnome-disk-utility-format'' running, select "Create"; from that moment is the other instance blocked from playing with the device, until system asks for password "Authentication required to unmount device...", in that moment the other instance of gnome-disk-utility-format is again enabled and one can select "Create" and follow in formatting. 

Version-Release number of selected component (if applicable):

nautilus-gdu-0.2-git20090309.1.fc11.x86_64
gnome-disk-utility-format-0.2-git20090309.1.fc11.x86_64

How reproducible:

always

Actual results:

non-blocked multiple instances of g-d-u-format

Expected results:

blocked multiple instances of g-d-u-format

Additional info:

I did not try the whole (possible?) process of having two utils "creating" FS on the device (I wanna keep the media to be able to do more tests today than just one :).
Comment 1 Tomáš Bžatek 2009-03-19 11:00:11 EDT
Operations are handled by DeviceKit-disks daemon (backend) so there's no danger in two processes writing to the same device at the time (besides the kernel limitation). Operation stacks in the queue.

But I agree we should make sure user is notified about it. Perhaps detecting foreign operation on the device would make UI insensitive.
Comment 2 Bug Zapper 2009-06-09 08:18:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:13:37 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:29:52 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.